{
  "packageManager": "pnpm@10.12.4",
  "name": "vue-ts-example",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --port 4730 --host",
    "all": "run-p build-only format type-check lint",
    "build": "run-p type-check \"build-only {@}\" --",
    "build-only": "vite build",
    "lint-format": "run-p lint:oxlint lint:eslint format",
    "format": "prettier --write src/",
    "type-check": "vue-tsc --build",
    "lint": "run-s lint:*",
    "_oxlint_cfg": "oxlint . --fix --ignore-path=.gitignore --print-config",
    "__oxlint_-D": "oxlint . --fix --deny=correctness",
    "lint:oxlint": "oxlint --fix",
    "lint:eslint": "eslint . --fix",
    "prepare": "husky",
    "playwright": "playwright test",
    "playwright:headless": "HEADLESS=true playwright test",
    "playwright:ui": "playwright test --ui",
    "playwright:chromium": "playwright test --project=chromium",
    "dep:dedupe": "pnpm dedupe",
    "dep:update": "pnpm dlx taze major --interactive",
    "sizecheck:Treemap": "pnpm dlx vite-bundle-visualizer -t treemap",
    "sizecheck:Sunburst": "pnpm dlx vite-bundle-visualizer -t sunburst",
    "sizecheck:Network": "pnpm dlx vite-bundle-visualizer -t network",
    "knip": "pnpm dlx knip"
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx,vue}": [
      "prettier --write",
      "eslint --fix",
      "oxlint --fix"
    ]
  },
  "pnpm": {
    "overrides": {
      "vite": "$vite",
      "vue-tsc": "$vue-tsc",
      "@primevue/auto-import-resolver": "$primevue"
    }
  },
  "dependencies": {
    "@alova/adapter-axios": "^2.0.16",
    "@formkit/auto-animate": "^0.8.2",
    "@intlify/unplugin-vue-i18n": "^6.0.8",
    "@pinia/colada": "^0.17.1",
    "@primeuix/themes": "^1.1.2",
    "@splinetool/runtime": "^1.10.16",
    "@types/p5": "^1.7.6",
    "@types/sortablejs": "^1.15.8",
    "@unhead/vue": "^2.0.11",
    "@vant/use": "^1.6.0",
    "@vueuse/core": "^13.4.0",
    "alova": "^3.3.3",
    "ant-design-vue": "~4.2.6",
    "axios": "^1.10.0",
    "cesium": "^1.130.1",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "consola": "^3.4.2",
    "dayjs": "^1.11.13",
    "deep-freeze-es6": "^4.0.1",
    "jsencrypt": "^3.3.2",
    "lucide-vue-next": "^0.525.0",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "p5": "^2.0.3",
    "page-stack-vue3": "^2.5.6",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.3.0",
    "plotly.js-dist-min": "^3.0.1",
    "primeicons": "^7.0.0",
    "primelocale": "^2.1.4",
    "primevue": "^4.3.5",
    "radash": "^12.1.1",
    "radix-vue": "^1.9.17",
    "reka-ui": "^2.3.1",
    "satellite.js": "^6.0.0",
    "sortablejs": "^1.15.6",
    "tailwind-merge": "^3.3.1",
    "tdesign-icons-vue-next": "^0.3.6",
    "three": "^0.177.0",
    "ts-enum-util": "^4.1.0",
    "utils4u": "^4.2.3",
    "vant": "^4.9.20",
    "vue": "^3.5.17",
    "vue-data-ui": "^2.12.6",
    "vue-draggable-plus": "^0.6.0",
    "vue-i18n": "^11.1.7",
    "vue-page-stack": "^3.2.0",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@commitlint/cli": "^19.8.1",
    "@commitlint/config-conventional": "^19.8.1",
    "@eslint/compat": "^1.3.1",
    "@faker-js/faker": "^9.8.0",
    "@iconify-json/carbon": "^1.2.10",
    "@iconify-json/logos": "^1.2.4",
    "@iconify-json/mdi": "^1.2.3",
    "@iconify/utils": "^2.3.0",
    "@playwright/test": "^1.53.1",
    "@primevue/auto-import-resolver": "^4.3.5",
    "@tsconfig/node22": "^22.0.2",
    "@types/archiver": "^6.0.3",
    "@types/mockjs": "^1.0.10",
    "@types/node": "^22.15.33",
    "@types/nprogress": "^0.2.3",
    "@types/plotly.js-dist-min": "^2.3.4",
    "@types/three": "^0.177.0",
    "@vant/auto-import-resolver": "^1.3.0",
    "@vitejs/plugin-vue": "^5.2.4",
    "@vitejs/plugin-vue-jsx": "^4.2.0",
    "@vitest/eslint-plugin": "^1.3.3",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.5.1",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.7.0",
    "archiver": "^7.0.1",
    "depcheck": "^1.4.7",
    "eruda": "^3.4.3",
    "eslint": "^9.30.0",
    "eslint-plugin-import-x": "^4.16.1",
    "eslint-plugin-oxlint": "^1.3.0",
    "eslint-plugin-perfectionist": "^4.15.0",
    "eslint-plugin-unicorn": "^59.0.1",
    "eslint-plugin-vue": "^10.2.0",
    "husky": "^9.1.7",
    "less": "^4.3.0",
    "lint-staged": "^16.1.2",
    "mockjs": "^1.1.0",
    "npm-run-all2": "^8.0.4",
    "oxlint": "^1.3.0",
    "prettier": "3.6.2",
    "typescript": "~5.8.3",
    "unocss": "66.3.2",
    "unocss-preset-animations": "^1.2.1",
    "unocss-preset-chinese": "^0.3.3",
    "unocss-preset-shadcn": "^0.5.0",
    "unplugin-auto-import": "^19.3.0",
    "unplugin-icons": "^22.1.0",
    "unplugin-vue-components": "^28.7.0",
    "unplugin-vue-macros": "^2.14.5",
    "unplugin-vue-markdown": "^28.3.1",
    "unplugin-vue-router": "^0.12.0",
    "vite": "^6.3.5",
    "vite-plugin-checker": "^0.9.3",
    "vite-plugin-fake-server": "^2.2.0",
    "vite-plugin-image-tools": "^2.0.2",
    "vite-plugin-purgecss-updated-v5": "^1.2.6",
    "vite-plugin-singlefile": "^2.2.0",
    "vite-plugin-static-copy": "^3.1.0",
    "vite-plugin-vue-devtools": "^7.7.7",
    "vite-plugin-vue-layouts": "^0.11.0",
    "vite-plugin-vue-meta-layouts": "^0.5.1",
    "vite-plugin-webfont-dl": "^3.10.5",
    "vue-component-type-helpers": "^2.2.10",
    "vue-tsc": "^2.2.10"
  }
}
